﻿@using SSCMvc.Webutil;
@model IEnumerable<SSCMvc.Models.MaPackage>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{


    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("ChildAddEdit.js", Url)
    <script>
        deleterecord("MaPackage");
    </script>

    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>

    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />

    <script type="text/javascript">
        $(document).ready(function () {

            $("#sample_3").dataTable();

        });
    </script>


}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Package List
    </h1>
</div>
<ul class="breadcrumb">
    <li>@Html.ActionLink("Home", "Index", "Home") <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.ActionLink("Create New", "Create")
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <table align="left">
                            <tr>

                                <td align="left">
                                    Complete
                                </td>
                                <td style="width: 10px"></td>

                                <td align="left" width="250px" style="color:Red">
                                    InComplete (Add Installment)
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table id="sample_3" class="table row-border hover order-column"  width="100%">
                <thead>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(model => model.MaCourse.CourseName)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.PackageName)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.PackageHours)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Amount)
                        </th>
                        <th>
                            Duration(Days)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Cdate)
                        </th>
                        <th></th>
                        @* <th>
                        @Html.DisplayNameFor(model => model.Status)
                    </th>*@
                    </tr>
                </thead>
                <tbody>
                    @{
                        string complete = "black";
                        int i = 0;
                        string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    {
                        if (item.Amount == null)
                        {
                            complete = "Red";
                        }
                        else
                        {
                            complete = "black";
                        }

                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr style="color:@complete" class="@bgcolor">
                            <td>
                                @Html.DisplayFor(modelItem => item.MaCourse.CourseName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.PackageName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.PackageHours)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Amount)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.PackageDays)
                            </td>
                            <td>
                                @{string cdate = string.Format("{0:dd MMM,yyyy}", item.Cdate);}
                                @cdate
                            </td>
                            @*  <td>
                            @Html.DisplayFor(modelItem => item.Status)
                        </td>*@
                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|

                                @{
                                int roleid = StaticLogic.RoleId();
                                if (Permission.CheckPermission(roleid, SSCMvc.Models.CommonUtil.Package, UserAction.Delete) == true)
                                {

                                    @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "MaPackage", new { id = item.Id }, new { @class = "delete-link" }, null)
                                }

                                }

                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                                @Html.ImageActionLink("../../Content/themes/base/images/add.png", "Add Installments", "Index", "MaDetail", new { packid = item.Id }, null, null)
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
        <div id="editDialog" title="Add Installments" style="width: 556px">
        </div>
    </div>
</div>
